commit: fbcf625ea974fa52a102079cdaa74251305406a7
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 09:46:34 2024 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 09:36:57 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbcf625e
sys-apps/bat: Use new cargo_target_dir helper
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
sys-apps/bat/bat-0.23.0-r1.ebuild | 4 ++--
sys-apps/bat/bat-0.24.0-r1.ebuild | 4 ++--
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/sys-apps/bat/bat-0.23.0-r1.ebuild
b/sys-apps/bat/bat-0.23.0-r1.ebuild
index b0f52777c924..0a4601f4acbf 100644
--- a/sys-apps/bat/bat-0.23.0-r1.ebuild
+++ b/sys-apps/bat/bat-0.23.0-r1.ebuild
@@ -218,8 +218,8 @@ src_install() {
einstalldocs
- local build_dir=( target/$(usex debug{,} release)/build/${PN}-*/out )
- cd ${build_dir[0]} || die "Cannot change directory to ${PN} build"
+ local build_dir=( "$(cargo_target_dir)"/build/${PN}-*/out )
+ cd "${build_dir[0]}" || die "Cannot change directory to ${PN} build"
doman assets/manual/bat.1
diff --git a/sys-apps/bat/bat-0.24.0-r1.ebuild
b/sys-apps/bat/bat-0.24.0-r1.ebuild
index 0c0d2c793320..ada5fae6a7d5 100644
--- a/sys-apps/bat/bat-0.24.0-r1.ebuild
+++ b/sys-apps/bat/bat-0.24.0-r1.ebuild
@@ -247,8 +247,8 @@ src_install() {
einstalldocs
- local build_dir=( target/$(usex debug{,} release)/build/${PN}-*/out )
- cd ${build_dir[0]} || die "Cannot change directory to ${PN} build"
+ local build_dir=( "$(cargo_target_dir)"/build/${PN}-*/out )
+ cd "${build_dir[0]}" || die "Cannot change directory to ${PN} build"
doman assets/manual/bat.1